package com.hzya.frame.sys.thirdparty.product.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.thirdparty.product.dao.ISysThirdpartyProductMapper;
import com.hzya.frame.sys.thirdparty.product.entity.SysThirdpartyProduct;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 第三方应用分类表  dao
 * @tableName: sys_thirdparty_product
 * @entityName: SysThirdpartyProduct
 * @author: gjh
 * @history:1.0
 */
@Service
public class SysThirdpartyProductMapperImpl extends MybatisGenericDao<SysThirdpartyProduct, String> implements ISysThirdpartyProductMapper {

    @Override
    public SysThirdpartyProduct entity_get(String id) {

        SysThirdpartyProduct o = (SysThirdpartyProduct) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<SysThirdpartyProduct> entity_list_base(SysThirdpartyProduct entity) {

        List<SysThirdpartyProduct> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(SysThirdpartyProduct entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<SysThirdpartyProduct> entity_list_like(SysThirdpartyProduct entity) {

        List<SysThirdpartyProduct> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<SysThirdpartyProduct> entity_list_or(SysThirdpartyProduct entity) {

        List<SysThirdpartyProduct> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(SysThirdpartyProduct entity) {

        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(SysThirdpartyProduct entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(SysThirdpartyProduct entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(SysThirdpartyProduct entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(SysThirdpartyProduct entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }

    //逻辑删除    delect_by_ThirdpartyApiId
    @Override
    public Integer delect_by_Id(List<String> entity) {

        Integer o = super.update(getSqlIdPrifx() + "delect_by_Id", entity);
        return o;

    }
}
